Bug 1509314 - tendrl-gluster-integration is not running after reboot
Summary: tendrl-gluster-integration is not running after reboot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-gluster-integration
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Darshan
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-03 14:09 UTC by Lubos Trilety
Modified: 2017-12-18 04:39 UTC (History)
7 users (show)

Fixed In Version: tendrl-commons-1.5.4-2.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-18 04:39:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:3478 normal SHIPPED_LIVE RHGS Web Administration packages 2017-12-18 09:34:49 UTC
Github Tendrl commons issues 595 None None None 2017-11-03 14:32:39 UTC
Github Tendrl gluster-integration issues 294 None None None 2017-11-03 14:33:01 UTC
Github Tendrl ui issues 729 None None None 2017-11-07 19:44:40 UTC

Description Lubos Trilety 2017-11-03 14:09:34 UTC
Description of problem:
tendrl-gluster-integration service does not run when gluster machine is restarted.

# systemctl status tendrl-gluster-integration
● tendrl-gluster-integration.service - Tendrl Gluster Daemon to Manage gluster tasks
   Loaded: loaded (/usr/lib/systemd/system/tendrl-gluster-integration.service; disabled; vendor preset: disabled)
   Active: inactive (dead)



Version-Release number of selected component (if applicable):
tendrl-gluster-integration-1.5.3-2.el7rhgs.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install Red Hat Gluster Storage Web Administration
2. restart some of the gluster nodes
3. check if service tendrl-gluster-integration is running

Actual results:
Service is not running, it's not even enabled.

Expected results:
Service should run after machine reboot.

Additional info:

Comment 1 Ju Lim 2017-11-07 20:00:31 UTC
Observed this issue as well -- see https://github.com/Tendrl/ui/issues/729.

Comment 2 Petr Penicka 2017-11-08 14:10:55 UTC
Triage Nov 8: Nishanth please have a look and see if doable in 3.3.1.

Comment 3 Jeff Applewhite 2017-11-08 20:59:24 UTC
should be fixed if the impact is that a reboot makes volumes not show up as in Ju's example upstream

Comment 4 Nishanth Thomas 2017-11-09 03:40:59 UTC
tendrl-gluster-integration is not configured started pon reboot. Since this is installed by node-agent during import, need to enable boot on restart after installation. 



service tendrl-gluster-integration status 
Redirecting to /bin/systemctl status tendrl-gluster-integration.service
● tendrl-gluster-integration.service - Tendrl Gluster Daemon to Manage gluster tasks
   Loaded: loaded (/usr/lib/systemd/system/tendrl-gluster-integration.service; disabled; vendor preset: disabled)
   Active: active (running) since Wed 2017-11-08 16:48:31 IST; 16h ago
 Main PID: 16572 (tendrl-gluster-)
   CGroup: /system.slice/tendrl-gluster-integration.service
           └─16572 /usr/bin/python /usr/bin/tendrl-gluster-integration

Nov 09 09:03:33 dhcp42-240.lab.eng.blr.redhat.com tendrl-gluster-integration[16572]: 127.0.0.1 - - [09/Nov/2017 09:03:33] "POST /listen HTTP/1.1" 200 -
Nov 09 09:03:40 dhcp42-240.lab.eng.blr.redhat.com tendrl-gluster-integration[16572]: 127.0.0.1 - - [09/Nov/2017 09:03:40] "POST /listen HTTP/1.1" 200 -
Nov 09 09:03:47 dhcp42-240.lab.eng.blr.redhat.com tendrl-gluster-integration[16572]: 127.0.0.1 - - [09/Nov/2017 09:03:47] "POST /listen HTTP/1.1" 200 -
Nov 09 09:03:54 dhcp42-240.lab.eng.blr.redhat.com tendrl-gluster-integration[16572]: 127.0.0.1 - - [09/Nov/2017 09:03:54] "POST /listen HTTP/1.1" 200 -
Nov 09 09:04:02 dhcp42-240.lab.eng.blr.redhat.com tendrl-gluster-integration[16572]: 127.0.0.1 - - [09/Nov/2017 09:04:02] "POST /listen HTTP/1.1" 200 -
Nov 09 09:04:09 dhcp42-240.lab.eng.blr.redhat.com tendrl-gluster-integration[16572]: 127.0.0.1 - - [09/Nov/2017 09:04:09] "POST /listen HTTP/1.1" 200 -
Nov 09 09:04:17 dhcp42-240.lab.eng.blr.redhat.com tendrl-gluster-integration[16572]: 127.0.0.1 - - [09/Nov/2017 09:04:17] "POST /listen HTTP/1.1" 200 -
Nov 09 09:04:24 dhcp42-240.lab.eng.blr.redhat.com tendrl-gluster-integration[16572]: 127.0.0.1 - - [09/Nov/2017 09:04:24] "POST /listen HTTP/1.1" 200 -
Nov 09 09:04:31 dhcp42-240.lab.eng.blr.redhat.com tendrl-gluster-integration[16572]: 127.0.0.1 - - [09/Nov/2017 09:04:31] "POST /listen HTTP/1.1" 200 -
Nov 09 09:04:38 dhcp42-240.lab.eng.blr.redhat.com tendrl-gluster-integration[16572]: 127.0.0.1 - - [09/Nov/2017 09:04:38] "POST /listen HTTP/1.1" 200 -

Comment 6 Bala Konda Reddy M 2017-11-17 20:02:51 UTC
Verified in tendrl-commons-1.5.4-2.el7rhgs.noarch

Created the webadmin and imported gluster cluster successfully. Rebooted one of the storage nodes, after reboot tendrl-gluster-integration.service is running.

Hence marking it as verified.

Comment 8 errata-xmlrpc 2017-12-18 04:39:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3478


Note You need to log in before you can comment on or make changes to this bug.